<div class="tab-pane" id="tab3">
    <div class="row">
        <div class="col-sm-2">
            <select class="form-control input-sm" id="combocari2" onchange="calldatagrid2()">
                <option value="t_kodebayarskpdkbt">KODE BAYAR</option>
                <option value="t_namaobjek">Nama OP</option>
                <option value="t_nourut">No. SPTPD</option>
                <option value="t_nama">Nama WP</option>
                <option value="t_npwpd">NPWPD</option>
                <option value="t_nop">ID OP</option>
            </select>
        </div>
        <div class="col-sm-3">
            <div class="input-group input-group-sm">
                <input type="text" placeholder="Cari" class="form-control pull-right" name="kolomcari2" id="kolomcari2" onkeyup="calldatagrid2()">
                <div class="input-group-btn combooperator2belumc">
                    <select data-toggle="dropdown" class="btn btn-default dropdown-toggle" id="combooperator2" onchange="calldatagrid2()" style="text-align: left;">
                        <option value="">Pilih</option>
                        <option value="carisama">=</option>
                        <option value="carilike">%</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="col-sm-3"></div>
        <div class="col-sm-2">
            <span class="hiddene">
                <select class="form-control input-sm" id="combosorting2" onchange="calldatagrid2()">
                    <option value="">Pilih Urutan</option>
                    <option value="t_kodebayarskpdkbt">KODE BAYAR</option>
                    <option value="t_namaobjek">Nama OP</option>
                    <option value="t_nourut">No. SPTPD</option>
                    <option value="t_nama">Nama WP</option>
                    <option value="t_npwpd">NPWPD</option>
                    <option value="t_nop">ID OP</option>
                </select>
            </span>
        </div>
        <div class="col-sm-2">
            <span class="hiddene">
                <div class="form-inline">
                    <div class="radio">
                        <label>
                            <input type="radio" value="ASC" id="sortasc2" name="sortere2" onclick="calldatagrid2()">
                            Terkecil
                        </label>
                    </div>
                    <div class="radio">
                        <label>
                            <input type="radio" checked="" value="DESC" id="sortdesc2" name="sortere2" onclick="calldatagrid2()">
                            Terbesar
                        </label>
                    </div>
                </div>
            </span>
        </div>
    </div>
    <div class="example-box-wrapper">
        <div class="scroll-columns">
            <table class="table table-condensed table-bordered cf" style="font-size: 11px; color:black">
                <thead class="cf" style="background-color: blue">
                    <tr class="bg-blue">
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No.
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            No. Pembatalan
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            ID OP
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama OP
                        </th>            
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            NPWPD
                        </th> 
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Nama
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Jenis Pajak
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Disposisi
                        </th>         
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Petugas Lapangan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Tgl. Pembatalan
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            Kode Bayar
                        </th>       
                        <th style="background-color: #00BCA4; color: white; text-align: center">
                            #
                        </th>  
                    </tr>
                </thead>
                <tbody id="body_grid2">
                </tbody>
            </table>
            <div class="row">
                <div class="col-sm-3 text-left">
                    <span>
                        <select id="rows2" class="form-control" style="width: 30%" onchange="calldatagrid2(1)">
                            <option value="10">10</option>
                            <option value="20">20</option>
                            <option value="30">30</option>
                            <option value="40">40</option>
                            <option value="50">50</option>
                        </select>
                    </span>
                </div>
                <div class="col-sm-6" style="text-align: center">
                    <center>
                        <div id="paginatore2"></div>
                        <input type="hidden" id="page2" value="1">
                    </center>
                </div>
                <div class="col-sm-3 text-right">
                    <span>
                        <p>
                            <b style="font-size: 13px; color: orangered"><span id="awaldata2"></span> s/d <span id="akhirdata2"></span> Dari <span id="total_data2"></span> Data</b>
                        </p>  
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        calldatagrid2();
    });

    function calldatagrid2(direction) {
        if ($("#combocari2").val().length == 0)
            par1 = undefined;
        else
            par1 = $("#combocari2").val()
        if ($("#kolomcari2").val().length == 0)
            par2 = undefined;
        else
            par2 = $("#kolomcari2").val()
        if ($("#combosorting2").val().length == 0)
            par3 = undefined;
        else
            par3 = $("#combosorting2").val()
        if (document.getElementById("sortasc2").checked)
            par4 = $("#sortasc2").val()
        else
            par4 = undefined;
        if (document.getElementById("sortdesc2").checked)
            par5 = $("#sortdesc2").val()
        else
            par5 = undefined;
        if ($("#combooperator2").val().length == 0)
            par6 = undefined;
        else
            par6 = $("#combooperator2").val()
        datagridketetapanpembatalanskpdkbt($("#page2").val(), $("#rows2").val(), direction, par1, par2, par3, par4, par5, par6);
    }

    function datagridketetapanpembatalanskpdkbt(page, row, direction, par1, par2, par3, par4, par5, par6) {
        $.get('<?= $this->url() ?>/dataGridKetetapanPembatalanSkpdkbt/' + page + '/' + row + '/' + direction + '/' + par1 + '/' + par2 + '/' + par3 + '/' + par4 + '/' + par5 + '/' + par6, function (data) {
            var aa = JSON.parse(data)
            $("#body_grid2").html(aa.gridbelum);
            $("#rows2").val(aa.rowsbelum);
            $("#page2").val(aa.pagebelum);
            $("#total_data2").html(": " + aa.countbelum);
            $("#total_halaman2").html(": " + aa.total_halamanbelum);
            $("#paginatore2").html(aa.paginatorebelum);
            $("#awaldata2").html(aa.awaldatabelum);
            $("#akhirdata2").html(aa.akhirdatabelum);
        });
    }
</script>
<style type="text/css">
    .combooperator2belumc select {
        border: 0 !important;  /*Removes border*/
        -webkit-appearance: none;  /*Removes default chrome and safari style*/
        -moz-appearance: none; /* Removes Default Firefox style*/
        appearance:none;
        /*background: #E08E0B url(img/select-arrow.png) no-repeat 90% center;*/
        background: #E08E0B no-repeat 90% center;
        text-indent: 0.01px; /* Removes default arrow from firefox*/
        color: #FFF;
    }	
</style>
